<?
include("../Librerias/ConfNivel2.inc");
$Nivel=$_Nivel2;
$ObjSesion=new Sesiones();  
$ObjSesion->MVerifica($Nivel);
$Conexion=new DBAccess();
$Conexion->Acceso($Servidor,$UsuarioBD,$ClaveBD,$BaseDatos);
$Formulario=new Formulario();
//FEncabezado($Nivel);

/*Obtenemos los valores por get*/ 
$tags2 = array_keys($_GET); // obtiene los nombres de las variables
$valores2 = array_values($_GET);// obtiene los valores de las variables
$i=0;
foreach ($_GET as $valores){
 ${$tags2[$i]}=$valores;
 //echo '$'.$tags2[$i].' = $_POST["'.$tags2[$i].'"];<br>'; 
 $i++;	
}
/*Obtenemos los valor por post*/
if ($_POST){
$tags2 = array_keys($_POST); // obtiene los Area de las variables
$valores2 = array_values($_POST);// obtiene los valores de las variables
$i=0;
foreach ($_POST as $valores){
 ${$tags2[$i]}=$valores;
 $i++;	
}


//Si existe una solicitud la guardamos
///Datos de la acción
$Fecha=date("Y-m-d");
$Hora=date("H:i:s");
$Ip=$HTTP_X_FORWARDED_FOR;
if ($Ip=='')  $Ip=$REMOTE_ADDR;
if ($Accion=='Guardar'){
    $Consulta="Insert into solicitudes (AreaSol, FechaSol, Estatus, Comentarios) Values ($AreaSol, '$FechaSol', 1, '$Comentarios')";
    $Conexion->MEjecutarSQL($Consulta);
    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM solicitudes ORDER BY IdSolicitud DESC");
    ///Consulta para Obtener Id de los datos almacenados
    $DescripcionAccion="Solicitud Registrada, ahora agregue los productos";
    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (
                    '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','productos',$RowInsertado[IdSolicitud])";
     $Conexion->MEjecutarSQL($ConsultaAccion);
     FMensajeScript($DescripcionAccion,"AgregarProductos.php?IdSolicitud=$RowInsertado[IdSolicitud]");
     exit();
}

if ($Accion=='Actualizar'){
	$Consulta="Update solicitudes SET AreaSol = $AreaSol, FechaSol='$FechaSol', Comentarios='$Comentarios' WHERE IdSolicitud='$IdSolicitud'";
   $Conexion->MEjecutarSQL($Consulta);

    ///Consulta para Obtener Id de los datos almacenados
    $RowInsertado=$Conexion->MSelectRegistro("SELECT * FROM solicitudes WHERE IdSolicitud='$IdSolicitud' ORDER BY IdProducto DESC");
	$DescripcionAccion="ACTUALIZÓ: ".$RowInsertado["Descripcion"];
    $ConsultaAccion="INSERT INTO ControlUsuarios (IdUsuario,Descripcion,Fecha,Hora,IP,Tabla,Clave) Values (
                     '".$_SESSION["IdUsuario"]."','$DescripcionAccion','$Fecha','$Hora','$Ip','solicitudes',$IdProducto)";
     $Conexion->MEjecutarSQL($ConsultaAccion);
     FMensajeScript($DescripcionAccion,"SolicitudMat.php?IdSolicitud=$IdSolicitud");
     exit();
}


}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//ES" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
    <head> 
		<meta name="viewport" content="width=device-width, initial-scale=1, charset=ISO-8859-1">
		<link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>bootstrap/css/bootstrap.css">    
         <?
	   if ($_JQuery == 1)
echo '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>';
else
echo '<script src="'.$Nivel.'bootstrap/js/jquery.min.js"></script>';
 echo "<link rel='stylesheet' type='text/css' media='all' href='".$Nivel."Scripts/calendar-blue.css' title='win2k-1' />";
        echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar.js'></script>";
        echo "<script type='text/javascript' src='".$Nivel."Scripts/calendar-es.js'></script>";
        echo "<script type='text/javascript' src='".$Nivel."Scripts/funcionescalendario.js'></script>";
        echo "<script language='javascript'>var actual='$FechaActual';</script>";	
	   ?>
        <script src="<? echo $Nivel ?>bootstrap/js/bootstrap.min.js"></script>
        <link rel="stylesheet" type="text/css" href="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/css/jquery.dataTables.css">
        <script type="text/javascript" language="javascript" src="<? echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>
        <link rel="stylesheet" href="<? echo $Nivel ?>Librerias/multicombos/chosen.css">
				 <style type="text/css" media="all">
				     .chosen-rtl .chosen-drop { left: -1000px; }
                  </style>
                   <style>
               #mdialTamanio{
                 width: 60% !important;
                   }					  
             </style>             
 <script src="<? echo $Nivel ?>bootstrap/js/EasyAutocomplete/jquery.easy-autocomplete.min.js"></script>
<link rel="stylesheet" href="<? echo $Nivel ?>bootstrap/js/EasyAutocomplete/easy-autocomplete.min.css">
<link rel="stylesheet" href="<? echo $Nivel ?>bootstrap/js/EasyAutocomplete/easy-autocomplete.themes.min.css">
		<title>Agregar Productos a la Solicitud</title>        
	</head>
	<body style="padding-top: 60px;">
<?

include $Nivel."menu1.php";  
//echo "SELECT * FROM TRABSOCIAL WHERE IDTRABSOC=".$IdLocalidad;
//echo "->".$IdMunicipio;
$RowsolProd=$Conexion->MSelectRegistro("Select * from prodsol where IdSolicitud=".$IdSolicitud);

?>
<div class="container">
<div class="panel panel-primary sombras">   
     <div class="titulo"><strong><i class="fa fa-cubes" aria-hidden="true"></i> Agregar Productos a la solicitud</strong></div>
     
   <div class="row" style="margin-left: 10px; margin-right: 10px; margin-top:10px; margin-bottom:10px">
  <form id="Formulario" name="Formulario" method="Post" action="AgregarProductos.php" >    
    <input name="IdSolicitud" type="hidden" id="IdSolicitud" value="<?php echo $IdSolicitud?>" />
  
    <input name="Accion" type="hidden" value="" />
 
      <div class="form-group col-md-6">    
		<label for="Prod" class="col-md-6 control-label" >Producto *</label>				
         <?php      
		 $Formulario->MInputTexto("Prod",$RowsolProd["IdProducto"],50,45,4,'Placeholder = "Ingrese el producto"',"form-control"); ?>  
      </div>  
      <div class="form-group col-md-3">    
		<label for="UnidadMedida" class="col-md-8 control-label" >Unidad de Medida *</label>				
         <?php        
		 if (!empty($RowsolProd["IdUnidadMedida"])) 
		   $Seleccionado = $RowsolProd["IdUnidadMedida"];
		 $consulta = "SELECT IdUnidadMedida, UnidadMedida FROM unidadmedida order by IdUnidadMedida Asc"; 
		 $Formulario->ComboTabla("UnidadMedida",$consulta,"UnidadMedida", "IdUnidadMedida", $Conexion->Link,$Seleccionado,1,300, "",1,"Sin Datos",20,'');  ?>
      </div>              
     <div class="form-group col-md-3">    
		<label for="Cantidad" class="col-md-6 control-label" >Cantidad *</label>				
         <?php        
		$Formulario->MInputTexto("Cantidad",$RowsolProd["Cantidad"],5,45,4,'Placeholder = "Cantidad"',"form-control"); ?>
      </div> 
    <div class="form-group col-sm-12">          
        <p class="form-control-static" align="center">*Los campos marcados con asteriscos son obligatorios </p>        
      </div>
      <div class="form-group col-sm-12">  
      <div class="row" align="center">
        <?php
	if ($IdSolicitud){  
			$EventoM='Actualiza()';
			$EventoE='Elimina()';
			$Formulario->MBotonScript('Actualizar','Agregar',$EventoM,"btn btn-primary btn3d", "glyphicon glyphicon-pencil");			
			echo '<b>&nbsp;';  
			//echo '<a href="Localidades.php" class="btn btn-success"><i class="fa fa-plus" aria-hidden="true"></i> NUEVA LOCALIDAD</a>&nbsp;';
			$Formulario->MLinkBoton("Productos.php", " Nuevo Producto","btn btn-success btn3d","fa fa-plus");
    }
    else{
		   $EventoG='Guarda()';
		   $Formulario->MBotonScript("Guardar",'Guardar',$EventoG,"btn btn-primary btn3d","fa fa-floppy-o");
			echo '<b>&nbsp;';
    }
		   ?>
      </div>
    </div>
  </form>
  </div>
  </div>	 
</div>
</div>
 <table width="100%" border="0" cellpadding="0" cellspacing="0" class="display" id="example">
	<thead>
          <tr bgcolor="<?php echo $_CCT_GRID?>" style="cursor:pointer;color:#FFF" > 
            <td width="60%" height="25" align="center"><strong>Producto</strong></td>
            <td width="20%" align="center" bgcolor="<?php echo $_CCT_GRID?>"><strong>Unidad</strong></td>         
          <td width="20%" align="center" bgcolor="<?php echo $_CCT_GRID?>"><strong>Cantidad</strong></td>
          </tr>
         </thead>
	<tbody>
    </tbody>
	<tfoot>
		<tr>
			<td></td>
			<td width="0%"></td>
            <td width="0%"></td>
		</tr>
	</tfoot>
</table>	
<div class="spacer"></div>
<script type="text/javascript" language="javascript" src="<?php echo $Nivel ?>Librerias/DataTables-1.10.4/media/js/jquery.dataTables.js"></script>    
<script type="text/javascript" language="javascript" class="init">
$(document).ready(function() {
	$('#example').dataTable( {
        "pagingType": "simple_numbers"
    } );
	
} );

</script> 
<script src="<? echo $Nivel?>Librerias/multicombos/docsupport/prism.js" type="text/javascript" charset="utf-8"></script>        
    <script src="<? echo $Nivel?>Librerias/multicombos/chosen.jquery.js" type="text/javascript"></script>
<? 
    //llamamos a las funciones para las animaciones
	echo "<script type='text/javascript'>";
	echo "var config = {
      '.chosen-select'           : {},
      '.chosen-select-deselect'  : {allow_single_deselect:true},
      '.chosen-select-no-single' : {disable_search_threshold:10},
      '.chosen-select-no-results': {no_results_text:'?Sin resultados!'},
      '.chosen-select-width'     : {width:'100%'}
    }
	for (var selector in config) {
      $(selector).chosen({ width: '100%' });
    }";
	echo '</script>';
	?>   
<script language="javascript"> 
  var options = {	  
	url: function(phrase) {
		return "objson.php?Parametro=" + phrase;
	},
	//getValue: "Nom"
	list: {
		maxNumberOfElements: 20,		
	}
	};
$("#Prod").easyAutocomplete(options); 
 </script>


<SCRIPT language="JavaScript" type="text/JavaScript">
function Elimina(){
 if(confirm("DESEA ELIMINAR EL REGISTRO?")){  
  Formulario.Accion.value='Eliminar';
  Formulario.submit();
 }
}//Fin Elimina

function Actualiza(){
if (Formulario.AreaSol.value=='' || Formulario.FechaSol.value==''){
  alert("PROPORCIONE DATOS REQUERIDOS");
 } else {  
  Formulario.Accion.value='Actualizar';
  Formulario.submit();
 }
}//Fin Modifica
//////////////////////////////////////////////////fin

///////////////////////////////////////////////////funcion de inserción
function Guarda(){
if (Formulario.AreaSol.value=='' || Formulario.FechaSol.value==''){
  alert("PROPORCIONE DATOS REQUERIDOS");
 } else {
  Formulario.Accion.value='Guardar';
  Formulario.submit();
 }
}//Fin Guarda

function validateEnter(e) {
	var key=e.keyCode || e.which;
	if (key==13){ return true; } else { return false; }
}
</script> 
